groovy.servlet

## Class ServletCategory

- java.lang.Object
- - groovy.servlet.ServletCategory

-     public class ServletCategory
      extends Object

  Servlet support.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletCategory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `get(HttpSession session, String key)`
    `static Object` | `get(PageContext context, String key)`
    `static Object` | `get(ServletContext context, String key)`
    `static Object` | `get(ServletRequest request, String key)`
    `static Object` | `getAt(HttpSession session, String key)`
    `static Object` | `getAt(PageContext context, String key)`
    `static Object` | `getAt(ServletContext context, String key)`
    `static Object` | `getAt(ServletRequest request, String key)`
    `static void` | `putAt(HttpSession session, String key, Object value)`
    `static void` | `putAt(PageContext context, String key, Object value)`
    `static void` | `putAt(ServletContext context, String key, Object value)`
    `static void` | `putAt(ServletRequest request, String key, Object value)`
    `static void` | `set(HttpSession session, String key, Object value)`
    `static void` | `set(PageContext context, String key, Object value)`
    `static void` | `set(ServletContext context, String key, Object value)`
    `static void` | `set(ServletRequest request, String key, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletCategory

          public ServletCategory()

  - ### Method Detail

    - #### get

          public static Object get(ServletContext context,
                                   String key)

    - #### get

          public static Object get(HttpSession session,
                                   String key)

    - #### get

          public static Object get(ServletRequest request,
                                   String key)

    - #### get

          public static Object get(PageContext context,
                                   String key)

    - #### getAt

          public static Object getAt(ServletContext context,
                                     String key)

    - #### getAt

          public static Object getAt(HttpSession session,
                                     String key)

    - #### getAt

          public static Object getAt(ServletRequest request,
                                     String key)

    - #### getAt

          public static Object getAt(PageContext context,
                                     String key)

    - #### set

          public static void set(ServletContext context,
                                 String key,
                                 Object value)

    - #### set

          public static void set(HttpSession session,
                                 String key,
                                 Object value)

    - #### set

          public static void set(ServletRequest request,
                                 String key,
                                 Object value)

    - #### set

          public static void set(PageContext context,
                                 String key,
                                 Object value)

    - #### putAt

          public static void putAt(ServletContext context,
                                   String key,
                                   Object value)

    - #### putAt

          public static void putAt(HttpSession session,
                                   String key,
                                   Object value)

    - #### putAt

          public static void putAt(ServletRequest request,
                                   String key,
                                   Object value)

    - #### putAt

          public static void putAt(PageContext context,
                                   String key,
                                   Object value)